Go Back   DisplayLink Forum > DisplayLink Graphics Technology > Linux and Open Source

Reply
 
Thread Tools Search this Thread Display Modes
Old 04-21-2021, 12:52 AM   #1
BlueBomber
Junior Member
 
Join Date: Apr 2021
Posts: 3
Default Ubuntu 20.04 kernel 5.11 - cannot install error

Hi. I am getting this error message below and wanted to know if anyone else is getting it. If anyone has a solution out there, I would greatly appreciate it. Thanks.


Verifying archive integrity... 100% All good.
Uncompressing DisplayLink Linux Driver 5.4.0-55.153 100%
DisplayLink Linux Software 5.4.0-55.153 install script called:
Distribution discovered: Ubuntu 20.04.2 LTS
Unsatisfied dependencies. Missing component: Linux headers for running kernel, 5.11.0-051100-generic.
This is a fatal error, cannot install DisplayLink Linux Software.
BlueBomber is offline   Reply With Quote
Old 04-21-2021, 01:10 PM   #2
spikerguy
Junior Member
 
Join Date: Apr 2021
Posts: 2
Default

Quote:
Originally Posted by BlueBomber View Post
Hi. I am getting this error message below and wanted to know if anyone else is getting it. If anyone has a solution out there, I would greatly appreciate it. Thanks.


Verifying archive integrity... 100% All good.
Uncompressing DisplayLink Linux Driver 5.4.0-55.153 100%
DisplayLink Linux Software 5.4.0-55.153 install script called:
Distribution discovered: Ubuntu 20.04.2 LTS
Unsatisfied dependencies. Missing component: Linux headers for running kernel, 5.11.0-051100-generic.
This is a fatal error, cannot install DisplayLink Linux Software.
it is saying that you have missing package.

Code:
sudo apt update
Code:
sudo apt install linux-headers-$(uname -r)
Code:
sudo reboot now
Enter the above codes and it will sync the database of all packages and then install the missing linux-headers package.
Install the DisplayLink Driver again and it should be installed without any issue.
spikerguy is offline   Reply With Quote
Old 04-21-2021, 11:45 PM   #3
BlueBomber
Junior Member
 
Join Date: Apr 2021
Posts: 3
Default

Thank you for the reply. I tried that and it gave me a no installation candidate error.

Code:
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
Package linux-headers-5.11.15-051115-generic is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'linux-headers-5.11.15-051115-generic' has no installation candidate
I went ahead and upgraded to 21.04 Hirsute Hippo along with having the 5.11 kernel as I saw that others had better success this way. Still nothing.

After upgradeing the OS, I did:

Code:
sudo apt-get update
sudo apt-get upgrade
sudo apt-get dist-upgrade
sudo apt install linux-headers-$(uname -r)
same result.

Code:
apt-cache search linux-headers-
gives me the following:

Code:
linux-headers-5.11.0-1004-azure - Linux kernel headers for version 5.11.0 on 64 bit x86 SMP
linux-headers-5.11.0-1005-oracle - Oracle Linux kernel headers for version 5.11.0 on 64 bit x86 SMP
linux-headers-5.11.0-1006-aws - Linux kernel headers for version 5.11.0 on 64 bit x86 SMP
linux-headers-5.11.0-1006-gcp - Linux kernel headers for version 5.11.0 on 64 bit x86 SMP
linux-headers-5.11.0-1006-kvm - Linux kernel headers for version 5.11.0 on 64 bit x86 SMP
linux-headers-5.11.0-16 - Header files related to Linux kernel version 5.11.0
linux-headers-5.11.0-16-generic - Linux kernel headers for version 5.11.0 on 64 bit x86 SMP
linux-headers-5.11.0-16-lowlatency - Linux kernel headers for version 5.11.0 on 64 bit x86 SMP
linux-headers-aws - Linux kernel headers for Amazon Web Services (AWS) systems.
linux-headers-azure - Linux kernel headers for Azure systems.
linux-headers-gcp - Google Cloud Platform (GCP) Linux kernel headers
linux-headers-generic - Generic Linux kernel headers
linux-headers-generic-hwe-20.04 - Generic Linux kernel headers
linux-headers-generic-hwe-20.04-edge - Generic Linux kernel headers
linux-headers-gke - Google Container Engine (GKE) Linux kernel headers
linux-headers-kvm - Linux kernel headers for virtual systems.
linux-headers-lowlatency - lowlatency Linux kernel headers
linux-headers-lowlatency-hwe-20.04 - lowlatency Linux kernel headers
linux-headers-lowlatency-hwe-20.04-edge - lowlatency Linux kernel headers
linux-headers-oem-20.04 - Generic Linux kernel headers (dummy transitional package)
linux-headers-oracle - Linux kernel headers for Oracle systems.
linux-headers-virtual - Virtual Linux kernel headers
linux-headers-virtual-hwe-20.04 - Virtual Linux kernel headers
linux-headers-virtual-hwe-20.04-edge - Virtual Linux kernel headers
linux-libc-dev - Linux Kernel Headers for development
linux-libc-dev-arm64-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-armhf-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-ppc64el-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-s390x-cross - Linux Kernel Headers for development (for cross-compiling)
linux-virtual - Minimal Generic Linux kernel and headers
linux-virtual-hwe-20.04 - Minimal Generic Linux kernel and headers
linux-virtual-hwe-20.04-edge - Minimal Generic Linux kernel and headers
linux-libc-dev-alpha-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-amd64-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-armel-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-hppa-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-i386-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-m68k-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-mips-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-mips64-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-mips64el-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-mips64r6-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-mips64r6el-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-mipsel-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-mipsn32-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-mipsn32el-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-mipsn32r6-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-mipsn32r6el-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-mipsr6-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-mipsr6el-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-powerpc-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-ppc64-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-riscv64-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-sh4-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-sparc64-cross - Linux Kernel Headers for development (for cross-compiling)
linux-libc-dev-x32-cross - Linux Kernel Headers for development (for cross-compiling)
linux-headers-5.10.4-051004 - Header files related to Linux kernel version 5.10.4
linux-headers-5.10.4-051004-generic - Linux kernel headers for version 5.10.4 on 64 bit x86 SMP
linux-headers-5.11.0-051100 - Header files related to Linux kernel version 5.11.0
linux-headers-5.11.15-051115 - Header files related to Linux kernel version 5.11.15
linux-headers-5.4.0-050400 - Header files related to Linux kernel version 5.4.0
linux-headers-5.9.1-050901 - Header files related to Linux kernel version 5.9.1
linux-headers-5.9.1-050901-generic - Linux kernel headers for version 5.9.1 on 64 bit x86 SMP
And I am stuck here for now. Any help is appreciated. Thanks again.
BlueBomber is offline   Reply With Quote
Old 04-22-2021, 12:02 AM   #4
BlueBomber
Junior Member
 
Join Date: Apr 2021
Posts: 3
Default Solved it

In looking at the list of linux headers I saw:

Code:
linux-headers-5.10.4-051004-generic - Linux kernel headers for version 5.10.4 on 64 bit x86 SMP
Since I had this version of the kernel in grub, I selected it and ran the displaylink executable. It installed successfully. I guess it needs the "-generic" part to install? Not sure. Anyway. Thanks for your help.
BlueBomber is offline   Reply With Quote
Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT. The time now is 10:53 PM.


Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2021, vBulletin Solutions, Inc.